// The "image" variable is an ImageWrapper object with the following
// methods:
//
// scale(qreal xScale, qreal yScale)
// blur()
// grayscale()
// mask()
// reset()
// shadow(int xOffset, int yOffset)

var extent = 24;
for (var y = -extent/2; y <= extent/2; y += 12) {
    for (var x = -extent/2; x <= extent/2; x += 12) {
        image.shadow(extent, x, y, false);
        image.label(32, 32, "Helvetica", 32, "("+x+", "+y+")");
        image.reset();
    }
}
